// (C) 2017-2020 by folkert van heusden, released under AGPL v3.0
#include <condition_variable>
#include <pthread.h>
#include <string>
#include <thread>

#include "source.h"

class source_gstreamer : public source
{
private:
	const std::string host;
	const int port;

public:
	source_gstreamer(const std::string & id, const std::string & descr, const std::string & exec_failure, const std::string & host, const int port, const double max_fps, resize *const r, const int resize_w, const int resize_h, const int loglevel, const double timeout, std::vector<filter *> *const filters);
	virtual ~source_gstreamer();

	void operator()() override;
};
